<?php
/**
 * Theme offcanvas navigatation
 *
 * @package Bizprime
 */
?>
<div id="offcanvas-menu" class="offcanvas-panel offcanvas-nav-panel">
    <div class="offcanvas-overlay offcanvas-nav-overlay"></div>
    <div class="offcanvas-panel-inner">
        <div class="twp-wrapper">
            <div class="offcanvas-item close-offcanvas-menu">
                <div class="offcanvas-close offcanvas-close-nav">
                    <span>
                       <?php echo esc_html__('Close', 'bizprime'); ?>
                    </span>
                </div>
            </div>

            <?php 
            $bizprime_top_header_location = esc_html(bizprime_get_option('top_header_location'));
            $bizprime_top_header_email = bizprime_get_option('top_header_email');
            $bizprime_top_header_telephone = esc_attr(bizprime_get_option('top_header_telephone'));
            if (!empty($bizprime_top_header_location) || !empty($bizprime_top_header_telephone) || !empty($bizprime_top_header_email) ) { ?>
                <div class="offcanvas-item offcanvas-infos">
                    <div class="top-bar-info">
                        <ul class="clearfix list-unstyled">
                            <?php
                            $bizprime_top_header_location = esc_html(bizprime_get_option('top_header_location'));
                            if (!empty($bizprime_top_header_location)) { ?>
                                <li>
                                    <div class="grid-box icon-box">
                                        <i class="icon twp-icon ion-ios-location"></i>
                                    </div>
                                    <div class="grid-box icon-box-content">
                                        <h4 class="icon-box-title"><?php esc_html_e( 'Location', 'bizprime' ); ?></h4>
                                        <span class="icon-box-subtitle"><?php echo esc_html(bizprime_get_option('top_header_location')); ?></span>
                                    </div>
                                </li>
                            <?php } ?>
                            <?php
                            if (!empty($bizprime_top_header_telephone)) { ?>
                                <li>
                                    <div class="grid-box icon-box">
                                        <i class="icon twp-icon ion-ios-telephone"></i>
                                    </div>
                                    <div class="grid-box icon-box-content">
                                        <h4 class="icon-box-title"><?php esc_html_e( 'Telephone', 'bizprime' ); ?></h4>
                                        <a href="tel:<?php echo preg_replace( '/\D+/', '', esc_attr( bizprime_get_option('top_header_telephone') ) ); ?>">
                                             <span class="icon-box-subtitle">
                                                <?php echo esc_attr( bizprime_get_option('top_header_telephone') ); ?>
                                             </span>
                                        </a>
                                    </div>
                                </li>
                            <?php } ?>
                            <?php
                            if (!empty($bizprime_top_header_email)) { ?>
                                <li>
                                    <div class="grid-box icon-box">
                                        <i class="icon twp-icon ion-ios-email"></i>
                                    </div>
                                    <div class="grid-box icon-box-content">
                                        <h4 class="icon-box-title"><?php esc_html_e( 'Email', 'bizprime' ); ?></h4>
                                        <a href="mailto:<?php echo esc_attr( bizprime_get_option('top_header_email') ); ?>">
                                            <span class="icon-box-subtitle">
                                                <?php echo esc_attr( antispambot(bizprime_get_option('top_header_email'))); ?>
                                            </span>
                                        </a>
                                    </div>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            <?php } ?>
            <?php if (has_nav_menu('primary')) { ?>
                <div id="primary-nav-offcanvas" class="offcanvas-item offcanvas-navigation">
                    <div class="offcanvas-title">
                        <?php esc_html_e('Menu', 'bizprime'); ?>
                    </div>
                    <?php wp_nav_menu(array(
                        'theme_location' => 'primary',
                        'menu_id' => 'primary-menu',
                        'container' => 'div',
                        'container_class' => 'menu',
                    )); ?>
                </div>
            <?php } ?>

            <?php if (has_nav_menu('social')) { ?>
                <div class="offcanvas-item offcanvas-social">
                    <div class="offcanvas-title">
                        <?php esc_html_e('Social profiles', 'bizprime'); ?>
                    </div>
                    <div class="social-icons">
                        <?php
                        wp_nav_menu(array(
                            'theme_location' => 'social',
                            'link_before' => '<span>',
                            'link_after' => '</span>',
                            'menu_id' => 'social-menu',
                            'fallback_cb' => false,
                            'link_before' => '<span class="screen-reader-text">',
                            'menu_class'=> false
                        )); ?>
                    </div>
                </div>
            <?php } ?>

            <div class="offcanvas-item offcanvas-search">
                <div class="offcanvas-title">
                    <?php esc_html_e('Search', 'bizprime'); ?>
                </div>
                <?php get_search_form(); ?>
            </div>
        </div>
    </div>
</div>